TypedBytesWritableInput (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.typedbytes
Class TypedBytesWritableInput

    java.lang.Object
      org.apache.hadoop.typedbytes.TypedBytesWritableInput

All Implemented Interfaces:
  Configurable

    public class TypedBytesWritableInput

extends Object
implements Configurable

Provides functionality for reading typed bytes as Writable objects.

See Also:
  `TypedBytesInput`

Constructor Summary
`TypedBytesWritableInput(DataInput din)` Creates a new instance of TypedBytesWritableInput.
`TypedBytesWritableInput(TypedBytesInput in)` Creates a new instance of TypedBytesWritableInput.

Method Summary
`static TypedBytesWritableInput` | `get(DataInput in)` Get a thread-local typed bytes writable input for the supplied `DataInput`.
`static TypedBytesWritableInput` | `get(TypedBytesInput in)` Get a thread-local typed bytes writable input for the supplied `TypedBytesInput`.
`Configuration` | `getConf()` Return the configuration used by this object.
`Writable` | `read()`
`ArrayWritable` | `readArray()`
`ArrayWritable` | `readArray(ArrayWritable aw)`
`BooleanWritable` | `readBoolean()`
`BooleanWritable` | `readBoolean(BooleanWritable bw)`
`ByteWritable` | `readByte()`
`ByteWritable` | `readByte(ByteWritable bw)`
`BytesWritable` | `readBytes()`
`BytesWritable` | `readBytes(BytesWritable bw)`
`DoubleWritable` | `readDouble()`
`DoubleWritable` | `readDouble(DoubleWritable dw)`
`FloatWritable` | `readFloat()`
`FloatWritable` | `readFloat(FloatWritable fw)`
`IntWritable` | `readInt()`
`IntWritable` | `readInt(IntWritable iw)`
`LongWritable` | `readLong()`
`LongWritable` | `readLong(LongWritable lw)`
`MapWritable` | `readMap()`
`MapWritable` | `readMap(MapWritable mw)`
`SortedMapWritable` | `readSortedMap()`
`SortedMapWritable` | `readSortedMap(SortedMapWritable mw)`
`Text` | `readText()`
`Text` | `readText(Text t)`
`Class<? extends Writable>` | `readType()`
`VIntWritable` | `readVInt()`
`VIntWritable` | `readVInt(VIntWritable iw)`
`VLongWritable` | `readVLong()`
`VLongWritable` | `readVLong(VLongWritable lw)`
`Writable` | `readWritable()`
`Writable` | `readWritable(Writable writable)`
`void` | `setConf(Configuration conf)` Set the configuration to be used by this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedBytesWritableInput

    public TypedBytesWritableInput(TypedBytesInput in)

  Creates a new instance of TypedBytesWritableInput.

### TypedBytesWritableInput

    public TypedBytesWritableInput(DataInput din)

  Creates a new instance of TypedBytesWritableInput.

Method Detail

### get

    public static TypedBytesWritableInput get(TypedBytesInput in)

  Get a thread-local typed bytes writable input for the supplied `TypedBytesInput`.

  Parameters:
    `in` - typed bytes input object
  Returns:
    typed bytes writable input corresponding to the supplied `TypedBytesInput`.

### get

    public static TypedBytesWritableInput get(DataInput in)

  Get a thread-local typed bytes writable input for the supplied `DataInput`.

  Parameters:
    `in` - data input object
  Returns:
    typed bytes writable input corresponding to the supplied `DataInput`.

### read

    public Writable read()
                  throws IOException

  Throws:
    `IOException`

### readType

    public Class<? extends Writable> readType()
                                       throws IOException

  Throws:
    `IOException`

### readBytes

    public BytesWritable readBytes(BytesWritable bw)
                            throws IOException

  Throws:
    `IOException`

### readBytes

    public BytesWritable readBytes()
                            throws IOException

  Throws:
    `IOException`

### readByte

    public ByteWritable readByte(ByteWritable bw)
                          throws IOException

  Throws:
    `IOException`

### readByte

    public ByteWritable readByte()
                          throws IOException

  Throws:
    `IOException`

### readBoolean

    public BooleanWritable readBoolean(BooleanWritable bw)
                                throws IOException

  Throws:
    `IOException`

### readBoolean

    public BooleanWritable readBoolean()
                                throws IOException

  Throws:
    `IOException`

### readInt

    public IntWritable readInt(IntWritable iw)
                        throws IOException

  Throws:
    `IOException`

### readInt

    public IntWritable readInt()
                        throws IOException

  Throws:
    `IOException`

### readVInt

    public VIntWritable readVInt(VIntWritable iw)
                          throws IOException

  Throws:
    `IOException`

### readVInt

    public VIntWritable readVInt()
                          throws IOException

  Throws:
    `IOException`

### readLong

    public LongWritable readLong(LongWritable lw)
                          throws IOException

  Throws:
    `IOException`

### readLong

    public LongWritable readLong()
                          throws IOException

  Throws:
    `IOException`

### readVLong

    public VLongWritable readVLong(VLongWritable lw)
                            throws IOException

  Throws:
    `IOException`

### readVLong

    public VLongWritable readVLong()
                            throws IOException

  Throws:
    `IOException`

### readFloat

    public FloatWritable readFloat(FloatWritable fw)
                            throws IOException

  Throws:
    `IOException`

### readFloat

    public FloatWritable readFloat()
                            throws IOException

  Throws:
    `IOException`

### readDouble

    public DoubleWritable readDouble(DoubleWritable dw)
                              throws IOException

  Throws:
    `IOException`

### readDouble

    public DoubleWritable readDouble()
                              throws IOException

  Throws:
    `IOException`

### readText

    public Text readText(Text t)
                  throws IOException

  Throws:
    `IOException`

### readText

    public Text readText()
                  throws IOException

  Throws:
    `IOException`

### readArray

    public ArrayWritable readArray(ArrayWritable aw)
                            throws IOException

  Throws:
    `IOException`

### readArray

    public ArrayWritable readArray()
                            throws IOException

  Throws:
    `IOException`

### readMap

    public MapWritable readMap(MapWritable mw)
                        throws IOException

  Throws:
    `IOException`

### readMap

    public MapWritable readMap()
                        throws IOException

  Throws:
    `IOException`

### readSortedMap

    public SortedMapWritable readSortedMap(SortedMapWritable mw)
                                    throws IOException

  Throws:
    `IOException`

### readSortedMap

    public SortedMapWritable readSortedMap()
                                    throws IOException

  Throws:
    `IOException`

### readWritable

    public Writable readWritable(Writable writable)
                          throws IOException

  Throws:
    `IOException`

### readWritable

    public Writable readWritable()
                          throws IOException

  Throws:
    `IOException`

### getConf

    public Configuration getConf()

  Description copied from interface: `Configurable`
  Return the configuration used by this object.

  Specified by:
    `getConf` in interface `Configurable`

### setConf

    public void setConf(Configuration conf)

  Description copied from interface: `Configurable`
  Set the configuration to be used by this object.

  Specified by:
    `setConf` in interface `Configurable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation